<?php

	$oldURL = dirname(__FILE__);

	$newURL = str_replace(DIRECTORY_SEPARATOR . 'wp-content' . DIRECTORY_SEPARATOR . 'plugins' . DIRECTORY_SEPARATOR . 'onlinecontract' . DIRECTORY_SEPARATOR . 'includes', '', $oldURL);

	include($newURL . DIRECTORY_SEPARATOR . 'wp-load.php');

	

	/* Add default options */

	

	add_option( 'onlinecontract_shortcodename1', 'Client Name', '', 'no' );

	add_option( 'onlinecontract_shortcode1', '[clientname]', '', 'no' );

	add_option( 'onlinecontract_shortcodetype1', 'text', '', 'no' );

	add_option( 'onlinecontract_shortcodedesc1', 'Enter the name of the client this contract is for', '', 'no' );

	

	add_option( 'onlinecontract_shortcodename2', 'Due Date', '', 'no' );

	add_option( 'onlinecontract_shortcode2', '[duedate]', '', 'no' );

	add_option( 'onlinecontract_shortcodetype2', 'text_date', '', 'no' );

	add_option( 'onlinecontract_shortcodedesc2', 'When is this project set to be complete', '', 'no' );

	

	add_option( 'onlinecontract_shortcodename3', 'Client Email', '', 'no' );

	add_option( 'onlinecontract_shortcode3', '[clientemail]', '', 'no' );

	add_option( 'onlinecontract_shortcodetype3', 'text', '', 'no' );

	add_option( 'onlinecontract_shortcodedesc3', 'Enter the email address of this client', '', 'no' );

	

	add_option( 'onlinecontract_shortcodename4', 'Client Mailing Address', '', 'no' );

	add_option( 'onlinecontract_shortcode4', '[clientmailingaddress]', '', 'no' );

	add_option( 'onlinecontract_shortcodetype4', 'textarea', '', 'no' );

	add_option( 'onlinecontract_shortcodedesc4', 'Enter the mailing address of this client', '', 'no' );

	

	add_option( 'onlinecontract_shortcodename5', 'Project Name', '', 'no' );

	add_option( 'onlinecontract_shortcode5', '[projectname]', '', 'no' );

	add_option( 'onlinecontract_shortcodetype5', 'text', '', 'no' );

	add_option( 'onlinecontract_shortcodedesc5', 'Enter the name of the company this contract is for or give it a specific project name', '', 'no' );

	

	add_option( 'onlinecontract_shortcodename6', 'Project Amount', '', 'no' );

	add_option( 'onlinecontract_shortcode6', '[contractamount]', '', 'no' );

	add_option( 'onlinecontract_shortcodetype6', 'text', '', 'no' );

	add_option( 'onlinecontract_shortcodedesc6', 'Enter the project or maintenance total amount without commas (ex: 5600.00)', '', 'no' );

	

	add_option( 'onlinecontract_shortcodename7', 'Payment Schedule', '', 'no' );

	add_option( 'onlinecontract_shortcode7', '[paymentschedule]', '', 'no' );

	add_option( 'onlinecontract_shortcodetype7', 'text', '', 'no' );

	add_option( 'onlinecontract_shortcodedesc7', 'Enter the payment terms for this contract', '', 'no' );

	

	add_option( 'onlinecontract_shortcodename8', 'Monthly Amount', '', 'no' );

	add_option( 'onlinecontract_shortcode8', '[monthly]', '', 'no' );

	add_option( 'onlinecontract_shortcodefunction8', 'round([contractamount] / [paymentschedule],2)', '', 'no' );

	add_option( 'onlinecontract_shortcodetype8', 'text', '', 'no' );

	

	

	add_option( 'onlinecontract_shortcodename9', 'Remaining Balance', '', 'no' );

	add_option( 'onlinecontract_shortcode9', '[remainingbalance]', '', 'no' );

	add_option( 'onlinecontract_shortcodetype9', 'text', '', 'no' );

	add_option( 'onlinecontract_shortcodefunction9', 'round([contractamount] / [paymentschedule],2)', '', 'no' );

	add_option( 'onlinecontract_shortcodetype9', 'text', '', 'no' );

	

	add_option( 'onlinecontract_shortcodename10', 'Signed By', '', 'no' );

	add_option( 'onlinecontract_shortcode10', '[signedby]', '', 'no' );

	add_option( 'onlinecontract_shortcodetype10', 'text', '', 'no' );

	add_option( 'onlinecontract_shortcodedesc10', 'Enter the name of the person from your team that will sign this contract (it will appear as signed on the contract)', '', 'no' );

	

	add_option( 'onlinecontract_shortcodename11', 'Signed By On', '', 'no' );

	add_option( 'onlinecontract_shortcode11', '[signedbydate]', '', 'no' );

	add_option( 'onlinecontract_shortcodetype11', 'text_date', '', 'no' );

	add_option( 'onlinecontract_shortcodedesc11', 'Select the date you or your representative signed this contract', '', 'no' );

	

	add_option( 'onlinecontract_shortcodename12', 'Hourly Rate', '', 'no' );

	add_option( 'onlinecontract_shortcode12', '[hourlyrate]', '', 'no' );

	add_option( 'onlinecontract_shortcodetype12', 'text', '', 'no' );

	add_option( 'onlinecontract_shortcodedesc12', 'Enter the amount you will get paid for additional hourly work outside of the scope (ex: 150.00)', '', 'no' );

	echo 'test';

?>