<?php if(_onlinecontract_validate_purchase(get_option('onlinecontract_purchasecode'), get_option('onlinecontract_purchaselocation'))) { 

	if( is_admin()){

		

		/*Add Shortcodes to admin submenu*/

		add_action('admin_menu', '_onlinecontract_shortcodes');



		function _onlinecontract_shortcodes() {



			add_submenu_page( 'edit.php?post_type=contract',  __( 'Shortcodes', 'onlinecontract' ),  __( 'Shortcodes', 'onlinecontract' ), 'manage_options', 'shortcodes', 'shortcodes' ); 

			

		}



		/*Populate Shortcodes page*/

		function shortcodes() { 

			$getcount = get_option('onlinecontract_countcode');

		/*Get values from previously submitted options*/

		

		?>

		

		<?php 

		$i = '';

		$shortcodearr = array();

		while($i <= $getcount) { 

			

			if(get_option('onlinecontract_shortcode'.$i)) {

				$shortcodearr[] = $i;

			}

			

			$i++;

			

		}

		$getcount = $i + 1;

		?>



			<div class="wrap">

				<h2><?php _e( 'Shortcodes', 'onlinecontract' ); ?></h2>

				<?php _onlinecontract_getadminnotification(); ?>

				<form action="options.php" method="post" name="options" enctype="multipart/form-data">

					<?php echo wp_nonce_field('update-options'); ?>

					<div id="onlinecontract-settings" style="width:98%;">

						<input type="hidden" name="action" value="update" />

						<input type="hidden" name="page_options" value="onlinecontract_businessname,onlinecontract_contractcurrency,onlinecontract_contractcurrencytype" />

						<table class="form-table input_fields_wrap" width="100%" cellpadding="10">

						<thead>

							<tr>

								<td><small><strong><?php _e( 'Shortcode Name', 'onlinecontract' ); ?></strong></small></td>

								<td><small><strong><?php _e( 'Shortcode', 'onlinecontract' ); ?> (ex:[shortcode])</strong></small></td>

								<td><small><strong><?php _e( 'Shortcode Function', 'onlinecontract' ); ?> (ex:[shortcode1] + [shortcode2])<br><a href="#function"><?php _e( 'more information', 'onlinecontract' ); ?></a></strong></small></td>

								<td><small><strong><?php _e( 'Options', 'onlinecontract' ); ?> (<?php _e( 'separate with comma (ex:, )', 'onlinecontract' ); ?>)<br><a href="#options"><?php _e( 'more information', 'onlinecontract' ); ?></a></strong></small></td>

								<td><small><strong><?php _e( 'Shortcode Data Type', 'onlinecontract' ); ?></strong></small></td>

								<td><small><strong><?php _e( 'Descriptive Text', 'onlinecontract' ); ?></strong></small></td>

								<td style="text-align:center;"><small><strong><?php _e( 'Function Only', 'onlinecontract' ); ?></strong></small></td>

								<td style="text-align:center;"><small><strong><?php _e( 'Visible on Frontend', 'onlinecontract' ); ?></strong></small></td>

								<td style="text-align:center;"><small><strong><?php _e( 'Delete', 'onlinecontract' ); ?>?</strong></small></td>

							</tr>

						</thead>

						<?php if ($shortcodearr) { ?>

							<tbody>

							<?php foreach ($shortcodearr as $i) { ?>

							<tr>

								<td><input type="text" name="onlinecontract_shortcodename<?php echo $i; ?>" value="<?php echo get_option('onlinecontract_shortcodename'.$i); ?>" size="30" style="width:100%;" required></td>

								<td><input type="text" name="onlinecontract_shortcode<?php echo $i; ?>" value="<?php echo get_option('onlinecontract_shortcode'.$i); ?>" size="30" style="width:100%;" required></td>

								<td><input type="text" name="onlinecontract_shortcodefunction<?php echo $i; ?>" value="<?php echo get_option('onlinecontract_shortcodefunction'.$i); ?>" size="30" style="width:100%;"></td>

								<td><input type="text" name="onlinecontract_shortcodeoptions<?php echo $i; ?>" id="onlinecontract_shortcodeoptions<?php echo $i; ?>" value="<?php echo get_option('onlinecontract_shortcodeoptions'.$i); ?>" size="30" style="width:100%;"<?php if ( get_option('onlinecontract_shortcodetype'.$i)!='select' ) { echo ' disabled'; } ?>></td>

								<td>

									<select name="onlinecontract_shortcodetype<?php echo $i; ?>" class="onlinecontract_shortcodetype" style="width:100%;">

										<?php

											$_onlinecontract_datatypes = _onlinecontract_get_data_type();

											foreach($_onlinecontract_datatypes as $datatypekey => $datatypevalue) {

												echo '<option value="'.$datatypekey.'"';

												if(get_option('onlinecontract_shortcodetype'.$i) == $datatypekey) {

													echo ' selected';

												}

												echo '>'.$datatypevalue.'</option>';

											}

										?>

									</select>

								</td>

								<td><textarea name="onlinecontract_shortcodedesc<?php echo $i; ?>" style="width:100%; height:50px;"><?php echo get_option('onlinecontract_shortcodedesc'.$i); ?></textarea></td>

								<td style="text-align:center;"><input type="checkbox" name="onlinecontract_shortcodefunctiononly<?php echo $i; ?>" <?php if(get_option('onlinecontract_shortcodefunctiononly'.$i) == 'on') { echo ' checked'; } ?>></td>

								<td style="text-align:center;"><input type="checkbox" name="onlinecontract_shortcodevisiblefront<?php echo $i; ?>" <?php if(get_option('onlinecontract_shortcodevisiblefront'.$i) == 'on') { echo ' checked'; } ?>></td>

								<td class="removeshortcodebutton" style="text-align:center;"><input type="hidden" name="removeshortcode" value="<?php echo $i; ?>"><button type="button" id="btndeleteshortcode" class="button-delete"><?php _e( 'Delete', 'onlinecontract' ); ?></button></td>

							</tr>

							<?php } ?>

						<?php }else{ ?>

								<tbody><tr><td colspan="6"><strong><?php _e( 'You do not have any shortcodes.  Please add one below or add default shortcodes.', 'onlinecontract' ); ?><!--<br><br><button type="button" id="btnadddefaultshortcodes" class="button-secondary"><?php _e( 'Add Defaults'); ?></button>--></strong></td></tr></tbody>

						<?php } ?>

						</tbody>

						</table>

						<br>

						<button type="button" class="add_field_button button-secondary"><?php _e( 'Add New Shortcode', 'onlinecontract' ); ?></button>

						<p><?php _e( 'If you would like to add a select list of all "Subscriber" level users of this site, please set a "Shortcode Data Type" of select and add the following to the "Options" textbox: ', 'onlinecontract' ); ?><span style="color: white; background-color: green; border-radius: 3px; padding: 2px 5px; font-size:14px;">getusersemail</span>.<br><span class="remove_field"><?php _e( 'This is reflected on the front end if set to be visible on the front end.  Please be cautious if you do not want your user\'s name to be publicly visible.<br>There is a limitation of 500, if you have more than 500 results, you should not use this.', 'onlinecontract' ); ?></span></p>

						<a id="function"></a><p><strong><?php _e( 'Shortcode Function', 'onlinecontract' ); ?></strong><br><?php _e( 'The shortcode function gives you the ability to create functionality for certain shortcodes.  You can add, mutiple, divide, etc your shortcodes. Just put a standard math function in the text box and have it do the math function for the shortcodes you add.  For example, "([shortcode1] + [shortcode2]) / 2" would add shortcode1 and shortcode2 then divide by 2.  This is an easy way to make your contracts more dynamic.', 'onlinecontract' ); ?></p>

						<a id="options"></a><p><strong><?php _e( 'Options', 'onlinecontract' ); ?></strong><br><?php _e( 'The options is only used when a data type of "select" is selected.  This will add options to your select box.  So, if you add "red, blue, green, yellow" in the text box, the add new or edit contract window will display a drop down box with the options red, blue, green, yellow.  This will give you a way to quickly add selectable options to your contract.', 'onlinecontract' ); ?></p>

						<br>

						<br>

						<input type="hidden" name="onlinecontract_countcode" class="onlinecontract_countcode" value="<?php echo $getcount; ?>" />

						<input type="hidden" name="page_options" class="page_options" value="onlinecontract_countcode,<?php foreach ($shortcodearr as $i) { echo 'onlinecontract_shortcodename'.$i.',onlinecontract_shortcode'.$i.',onlinecontract_shortcodedesc'.$i.',onlinecontract_shortcodetype'.$i.',onlinecontract_shortcodefunction'.$i.',onlinecontract_shortcodeoptions'.$i.',onlinecontract_shortcodefunctiononly'.$i.',onlinecontract_shortcodevisiblefront'.$i.',';$i++; }?>" />

						<input type="submit" name="btnupdateshortcodes" id="btnupdateshortcodes" value="<?php _e( 'Update', 'onlinecontract' ); ?>" class="button-primary" />

						<div style="float:right; padding-top:8px; width: 40%; text-align: right;"><?php _e( 'Version', 'onlinecontract' ); ?> <?php echo _onlinecontract_version_num; ?> </div>

					</div>

				</form>

			</div>

			<script>

				jQuery(document).ready(function() {

					var max_fields      = 1000;

					var wrapper         = jQuery(".input_fields_wrap");

					var wrapperoptions  = jQuery(".page_options"); 

					var usedcount       = jQuery(".onlinecontract_countcode");

					var add_button      = jQuery(".add_field_button"); 

					

					var x = <?php if($getcount!=0 && $getcount) { echo $getcount; }else{ echo 0; } ?>;

					jQuery(add_button).click(function(e){ 

						e.preventDefault();

						if(x < max_fields){

							x++;

							jQuery(wrapper).append('<tr><td><input type="text" name="onlinecontract_shortcodename' + x + '" value="" size="30" style="width:100%;" required></td><td><input type="text" name="onlinecontract_shortcode' + x + '" value="" size="30" style="width:100%;" required></td><td><input type="text" name="onlinecontract_shortcodefunction' + x + '" value="" size="30" style="width:100%;"></td><td><input type="text" name="onlinecontract_shortcodeoptions' + x +'" value="" size="30" style="width:100%;"></td><td><select name="onlinecontract_shortcodetype' + x + '" class="onlinecontract_shortcodetype" style="width:100%;"><?php $_onlinecontract_datatypes = _onlinecontract_get_data_type(); foreach($_onlinecontract_datatypes as $datatypekey => $datatypevalue) { echo '<option value="'.$datatypekey.'">'.$datatypevalue.'</option>'; } ?></select></td><td><textarea name="onlinecontract_shortcodedesc' + x + '" style="width:100%; height:50px;"></textarea></td><td style="text-align:center;"><input type="checkbox" name="onlinecontract_shortcodefunctiononly' + x +'"></td><td style="text-align:center;"><input type="checkbox" name="onlinecontract_shortcodevisiblefront' + x +'"></td><td style="text-align:center;"><input type="hidden" name="removeshortcode" value="' + x +'"><a href="#" class="remove_field"><small><strong><?php _e( 'Remove', 'onlinecontract' ); ?></strong></small></a></td></tr>');

							if(jQuery(wrapperoptions).val()) {

								jQuery(wrapperoptions).val(jQuery(wrapperoptions).val() + ',onlinecontract_shortcodename' + x + ',onlinecontract_shortcode' + x + ',onlinecontract_shortcodedesc' + x + ',onlinecontract_shortcodetype' + x + ',onlinecontract_shortcodefunction' + x + ',onlinecontract_shortcodeoptions' + x + ',onlinecontract_shortcodefunctiononly' + x + ',onlinecontract_shortcodevisiblefront' + x);

							}else{

								jQuery(wrapperoptions).val('onlinecontract_shortcodename' + x + ',onlinecontract_shortcode' + x + ',onlinecontract_shortcodedesc' + x + ',onlinecontract_shortcodetype' + x + ',onlinecontract_shortcodefunction' + x + ',onlinecontract_shortcodeoptions' + x + ',onlinecontract_shortcodefunctiononly' + x + ',onlinecontract_shortcodevisiblefront' + x);

							}

							jQuery(usedcount).val(x);

						}

					});

					

					jQuery(wrapper).on("click",".remove_field", function(e){ 

						var url = jQuery(wrapperoptions).val();

						if(x==1){

							var remove = 'onlinecontract_shortcodename' + x + ',onlinecontract_shortcode' + x + ',onlinecontract_shortcodedesc' + x + ',onlinecontract_shortcodetype' + x + ',onlinecontract_shortcodefunction' + x + ',onlinecontract_shortcodeoptions' + x + ',onlinecontract_shortcodefunctiononly' + x + ',onlinecontract_shortcodevisiblefront' + x;

						}else{

							var remove = ',onlinecontract_shortcodename' + x + ',onlinecontract_shortcode' + x + ',onlinecontract_shortcodedesc' + x + ',onlinecontract_shortcodetype' + x + ',onlinecontract_shortcodefunction' + x + ',onlinecontract_shortcodeoptions' + x + ',onlinecontract_shortcodefunctiononly' + x + ',onlinecontract_shortcodevisiblefront' + x;

						}

						url = url.replace (remove, "");

						e.preventDefault(); jQuery(this).closest('tr').remove(); jQuery(wrapperoptions).val(url); x--;

						jQuery(usedcount).val(x);

					});

					

					jQuery(wrapper).on("click","#btndeleteshortcode", function(e){

						 var deleteid = jQuery(this).closest("tr").find("input[name=removeshortcode]").val();

						 e.preventDefault(); jQuery(this).closest('tr').remove();

						 var url = jQuery(wrapperoptions).val();

						 var remove = 'onlinecontract_shortcodename' + deleteid + ',onlinecontract_shortcode' + deleteid + ',onlinecontract_shortcodedesc' + deleteid + ',onlinecontract_shortcodetype' + deleteid + ',onlinecontract_shortcodefunction' + deleteid + ',onlinecontract_shortcodeoptions' + deleteid + ',onlinecontract_shortcodefunctiononly' + deleteid + ',onlinecontract_shortcodevisiblefront' + deleteid;

						 url = url.replace (remove, "");

						 jQuery(wrapperoptions).val(url);

						jQuery.ajax({  

							type: 'POST',

							url: '<?php echo plugins_url(); ?>/onlinecontract/includes/update-shortcodes.php',

							data: 'removeshortcode=' + deleteid,

							success: function(data){

								 console.log(data);

							}

						});

					})

					

					jQuery(wrapper).on("click","#btnadddefaultshortcodes", function(e){

						jQuery.ajax({  

							type: 'POST',

							url: '<?php echo plugins_url(); ?>/onlinecontract/includes/add-shortcodes.php',

							data: '',

							success: function(data){

								 //location.reload();

							}

						});

					})

					jQuery('.onlinecontract_shortcodetype').change(function() {

						var selectedid = jQuery(this).closest("tr").find("input[name=removeshortcode]").val();

					    var selected = jQuery(this).val();

					    if(selected == 'select'){

					      jQuery('#onlinecontract_shortcodeoptions' + selectedid).prop("disabled",false);

					    }

					    else{

					      jQuery('#onlinecontract_shortcodeoptions' + selectedid).prop("disabled",true);

					    }

					});

				});

			</script>

		<?php 



		}

		

	}

} ?>