<?php
define('_onlinecontract_version_num', '3.2');
?>
<?php
/*
 * Plugin Name: WP Online Contract (shared on wplocker.com)
 * Plugin URI: https://www.futuredesigngroup.com/downloads/wp-online-contract
 * Description: WP Online Contract allows you to create, manage, and save contracts online through Wordpress.  You can customize contracts via WP Editor and shortcodes and view revisions of your existing contracts.  Give your clients a way to view and sign your contracts online in one place.
 * Version: 3.2
 * Author: Future Design Group
 * Author URI: http://futuredesigngroup.com
 * License: GPL2
 * Copyright 2014  Future Design Group  (email : olivere@futuredesigngroup.com)
 * Text Domain: onlinecontract
 * Domain Path: /languages/
 */
 
/*
LICENSE

Copyright 2014 Future Design Group <olivere@futuredesigngroup.com>

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.	 See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc., 59 Temple
Place, Suite 330, Boston, MA 02111-1307 USA
*/

/*
Contributors:
-------------
Original author: Eric Oliver <olivere@futuredesigngroup.com>
Swedish translation: Patric Liljestrand
Vietnamese translation: Tim Nguyen <https://deluxeitshop.com>
French translations: Christian Desjardins <http://cliniquestamour.com>
*/

include( plugin_dir_path( __FILE__ ).'includes/noerror.php' );
include( plugin_dir_path( __FILE__ ).'includes/functions.php' );

add_action( 'plugins_loaded', '_onlinecontract_load_textdomain' );

function _onlinecontract_load_textdomain() {

  load_plugin_textdomain( 'onlinecontract', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' ); 
}

add_action( 'init', '_onlinecontract_init' ); 

require 'updates/plugin-update-checker.php';
$_onlinecontract_UpdateChecker = new PluginUpdateChecker_1_6 (
	'https://www.futuredesigngroup.com/apps/onlinecontracts/update.json',
	__FILE__
);

?>