<?php

/* Template Name: Contract */

?>

<?php if(!isset($_GET['pdf'])) { ?>

	<link rel="stylesheet" href="//fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800">

	<link rel="stylesheet" href="//fonts.googleapis.com/css?family=Roboto+Slab">

	<link rel="stylesheet" href="//fonts.googleapis.com/css?family=Dawning+of+a+New+Day">

	<style>

	<?php 

	if( get_option('onlinecontract_styletemplate') ) {

		echo get_option('onlinecontract_styletemplate');

	}else{

		echo _onlinecontract_default_style();

	}

	?>

	</style>

	<?php 

		/* Check if contract is password protected */

		global $post; 

		if (!post_password_required($post) ) { 

	?>

		<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>

		<?php $contractname = get_the_title(); ?>

		<div style="width:95%; max-width:1280px; margin:0 auto;">

			<div id="content">

				<div id="printcontent">

				<?php

					$currencytype= get_option('onlinecontract_contractcurrencytype');

					if (!$currencytype) {

						$currencytype = 'USD';

					}

					$selectedcontract = get_post_meta( get_the_ID(), '_onlinecontract_contracttype', true );


					$upload_dir = wp_upload_dir();
					
					$curl_handle=curl_init();
					curl_setopt($curl_handle, CURLOPT_SSL_VERIFYPEER, false);
					curl_setopt($curl_handle, CURLOPT_RETURNTRANSFER, true);
					
					curl_setopt($curl_handle, CURLOPT_URL, $upload_dir['baseurl'].'/onlinecontract/contracts/'.$selectedcontract.'.txt');

					curl_setopt($curl_handle, CURLOPT_CONNECTTIMEOUT, 2);

					curl_setopt($curl_handle, CURLOPT_RETURNTRANSFER, 1);

					curl_setopt($curl_handle, CURLOPT_USERAGENT, 'WP Online Contract');

					$contractcontent = curl_exec($curl_handle);

					curl_close($curl_handle);

					 

					echo convertcontractshortcode(stripslashes($contractcontent));

				?>

				<?php if ( get_post_meta( get_the_ID(), '_onlinecontract_contractshowsignature', true ) != 'on' ) { ?>			

					<?php 

						$postid = get_the_ID(); 

						$signed = 0;
						$upload_dir = wp_upload_dir();
						$upload_url = content_url();
							if ($handle = opendir($upload_dir['basedir'] . '/onlinecontract/signatures/')) {

								while (false !== ($entry = readdir($handle))) {

									if ($entry != "." && $entry != "..") {

										$imgnamearr = explode('_',$entry);

										if ($imgnamearr[0]==$postid) {

											$signed =1;	

											$fullimgname = $entry;

											$signeddate = str_replace('.png','',$imgnamearr[1]);

											$ipaddress = str_replace('-','.',str_replace('.png','',$imgnamearr[2]));

										}

									}

								}

								closedir($handle);

						   }

					?>

					<?php if ($signed!=1) { ?>

						<strong><?php _e( 'Please sign using a stylus, your mouse, or your finger below to authorize this contract. By electronically signing this document, you agree to the terms established above.<br>After the document is signed, you can proceed to print it or save it as a PDF.', 'onlinecontract' ); ?></strong>

						<div id="signature" style="border:1px solid #f4f4f4; margin:10px 0; cursor: url(<?php echo plugins_url(); ?>/onlinecontract/includes/img/contract-icon-large.png), auto;"></div>

						<div style=" float:right; width:30%; text-align:right;"><?php echo date('m-d-Y'); ?></div>

						<div style=" float:left; width:70%;"><button type="button" onclick="$('#signature').jSignature('clear')" class="button-secondary"><?php _e( 'Clear', 'onlinecontract' ); ?></button> <button type="button" onclick="importImg($('#signature'))" class="button-primary"><?php _e( 'Save', 'onlinecontract' ); ?></button><img src="<?php echo plugin_dir_url( __FILE__ )?>img/ajax-loader.gif" class="loader" style="margin-top: 32px; margin-left: 20px; display:none;"></div>

						<div class="clearfix"></div>

						<br>

						<br>

					<?php }else{ ?>

						<img src="<?php echo $upload_dir['baseurl']; ?>/onlinecontract/signatures/<?php echo $fullimgname; ?>" style="width:100%;">

						<div style=" width:100%; text-align:center;"><?php _e( 'Signed on', 'onlinecontract' ); ?> <?php echo $signeddate; ?>

						<?php if($ipaddress) { ?>

							<br><strong><?php _e( 'IP Address', 'onlinecontract' ); ?>:</strong> <?php echo $ipaddress; ?>

							<br>

						<?php } ?>

						</div>

						</div>

						<div style=" width:100%; text-align:center;">

						<button id="printBtn" type="button" class="button-secondary"><?php _e( 'Print This Contract', 'onlinecontract' ); ?></button> <button id="pdfBtn" type="button" class="button-secondary" onclick="window.open('<?php echo get_permalink(); ?>?pdf=1','_blank')"><?php _e( 'Create PDF', 'onlinecontract' ); ?></button>

						<?php

							$paymentshortcode = get_post_meta( get_the_ID(), '_onlinecontract_contractpayment', true );

							if ($paymentshortcode!='none') {

								$amount = convertcontractshortcode( $paymentshortcode );

								$itemname = get_the_title();

								echo _onlinecontract_getpaymentbuttons($amount,$currencytype,$itemname);

								echo '<div style="clear:both; float:none;"></div>';

								echo '<br>';

								echo '<div style="text-align:center; font-size:10px;">';

								echo _onlinecontract_getpaymentfees();

								echo '</div>';

							}

						?>

						</div>

					<?php } ?>

				<?php }else{ ?>

					<div style="width:80%; margin:20px auto; height:150px; border-bottom:3px solid #000;">

					</div>

					<div style="width:80%; margin:20px auto;">

						<div style="width:70%; float:left;"><?php _e( 'Full Name', 'onlinecontract' ); ?></div>

						<div style="width:30%;  float:left; text-align:right;"><?php _e( 'Date', 'onlinecontract' ); ?></div>

						<div style="clear:both; float:none;"></div>

					</div>

					</div>

					<br>

					<div style="text-align:center;"><small><?php _e( 'Please print this document and sign on the above line.', 'onlinecontract' ); ?></small>

					<br>

					<button id="printBtn" type="button" class="button-secondary"><?php _e( 'Print This Contract', 'onlinecontract' ); ?></button> <button id="pdfBtn" type="button" class="button-secondary" onclick="window.open('<?php echo get_permalink(); ?>?pdf=1','_blank')"><?php _e( 'Create PDF', 'onlinecontract' ); ?></button>

					<?php

						$paymentshortcode = get_post_meta( get_the_ID(), '_onlinecontract_contractpayment', true );

						if ($paymentshortcode!='none') {

							$amount = convertcontractshortcode( $paymentshortcode );

							$itemname = get_the_title();

							echo _onlinecontract_getpaymentbuttons($amount,$currencytype,$itemname);

							echo '<div style="clear:both; float:none;"></div>';

							echo '<br>';

							echo '<div style="text-align:center; font-size:10px;">';

							echo _onlinecontract_getpaymentfees();

							echo '</div>';

						}

					?>		

					</div>

				<?php } ?>

			</div>

		</div>

		<script src="//ajax.googleapis.com/ajax/libs/jquery/2.0.3/jquery.min.js"></script>

		<script src="//ajax.googleapis.com/ajax/libs/jqueryui/1/jquery-ui.min.js"></script>

		<!--[if lt IE 9]>

		<script type="text/javascript" src="<?php echo plugins_url(); ?>/onlinecontract/js/flashcanvas.js"></script>

		<![endif]-->

		<script src="<?php echo plugins_url(); ?>/onlinecontract/js/jSignature.min.js"></script>

		<script>

			$(document).ready(function() {

				$("#signature").jSignature();

			})

			function importImg(sig)

			{
				$(".button-primary").hide();
				$(".loader").show();

				var dNow = new Date();

				var hours = dNow.getHours();

				var ampm = '';

				if (hours > 12) {

					hours -= 12;

					ampm = 'PM';

				} else if (hours === 0) {

					hours = 12;

					ampm = 'AM';

				}

				function pad(n) {

					 return (n < 10) ? '0' + n : n;

				}

				var localdate= (dNow.getMonth()+1) + '-' + dNow.getDate() + '-' + dNow.getFullYear() + ' ' + hours + ':' + pad(dNow.getMinutes()) + ampm;

				sig.children("img.imported").remove();

				$.ajax({  

					type: 'POST',

					url: '<?php echo plugins_url(); ?>/onlinecontract/signaturesave.php',

					data: 'postid=<?php echo $postid; ?>&signed=1&signdate=' + localdate + '&ipaddress=<?php echo str_replace('.','-',$_SERVER['REMOTE_ADDR']); ?>&url=<?php echo get_permalink(); ?>&adminemail=<?php echo get_option('onlinecontract_adminemail'); ?>&image=' + sig.jSignature('getData'),

					success: function(data){

						 <?php if(get_post_meta( get_the_ID(), '_onlinecontract_contractredirect', true )) { ?>

							window.location.replace("<?php echo get_post_meta( get_the_ID(), '_onlinecontract_contractredirect', true ); ?>");

						 <?php }else{ ?>
							location.reload();

						 <?php } ?>

					}

				});

			}

			$("#printBtn").click(function(){

				printcontent($("#printcontent").html());

			});

			function printcontent(content)

			{

				var mywindow = window.open('', '', '');

				mywindow.document.write('<html><link rel="stylesheet" href="//fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800"><link rel="stylesheet" href="//fonts.googleapis.com/css?family=Roboto+Slab"><link rel="stylesheet" href="//fonts.googleapis.com/css?family=Dawning+of+a+New+Day"><style><?php if( get_option('onlinecontract_printstyletemplate') ) { echo addslashes(get_option('onlinecontract_printstyletemplate')); }else{ echo addslashes(_onlinecontract_default_print_style()); } ?></style><title>Print</title><body>');

				mywindow.document.write(content);

				mywindow.document.write('</body></html>');

				mywindow.document.close();

				mywindow.print();

				return true;

			}

		</script>

		<?php endwhile; ?>

	<?php }else{ ?>

		<div style="text-align:center; margin-top:20%;"><?php echo get_the_password_form(); ?></div>

	<?php } ?>

<?php }else{ 

		ob_start(); 

		if ( have_posts() ) while ( have_posts() ) : the_post();

			require_once(plugin_dir_path(__FILE__).'pdf/tcpdf.php');

			$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

			$pdf->setPrintHeader(false);

			$pdf->setPrintFooter(false);

			$pdf->AddPage();

			$pdf->SetFontSize(10);

			$selectedcontract = get_post_meta( get_the_ID(), '_onlinecontract_contracttype', true );

			$curl_handle=curl_init();

			$upload_dir = wp_upload_dir();
			curl_setopt($curl_handle, CURLOPT_URL, $upload_dir['baseurl'].'/onlinecontract/contracts/'.$selectedcontract.'.txt');

			curl_setopt($curl_handle, CURLOPT_CONNECTTIMEOUT, 2);

			curl_setopt($curl_handle, CURLOPT_RETURNTRANSFER, 1);

			curl_setopt($curl_handle, CURLOPT_USERAGENT, 'WP Online Contract');

			$contractcontent = curl_exec($curl_handle);

			curl_close($curl_handle);

			$contractstr = convertcontractshortcode($contractcontent); 

			$postid = get_the_ID(); 



			$signed = 0;

			$upload_dir = wp_upload_dir();
			if ($handle = opendir($upload_dir['basedir'] . '/onlinecontract/signatures/')) {

				while (false !== ($entry = readdir($handle))) {

					if ($entry != "." && $entry != "..") {

						$imgnamearr = explode('_',$entry);

						if ($imgnamearr[0]==$postid) {

							$signed =1;	

							$fullimgname = $entry;

							$signeddate = str_replace('.png','',$imgnamearr[1]);

							$ipaddress = str_replace('-','.',str_replace('.png','',$imgnamearr[2]));

						}

					}

				}

				closedir($handle);

			}



			$protocol = ((!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off') || 

			$_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://"; 

			$contractstr .= '<img src="'.$upload_dir['baseurl'].'/onlinecontract/signatures/'.str_replace(' ','%20',$fullimgname).'">';

			$contractstr .= '<br>

			<div style="text-align:center;">Signed on '.$signeddate;

			if ($ipaddress) {

				$contractstr .= '<br><strong>IP Address:</strong> '.$ipaddress;

			}

			$contractstr .= '</div>';

			$contractstr .= '<style>';

			if( get_option('onlinecontract_styletemplate') ) {

				$contractstr .= get_option('onlinecontract_printstyletemplate');

			}else{

				$contractstr .= _onlinecontract_default_print_style();

			}

			$contractstr .= '</style>';

			$pdf->writeHTMLCell(0, 0, '', '', $contractstr, 0, 1, 0, true, '', true); ob_end_clean(); $pdf->Output('contract.pdf', 'I');

		endwhile;

	?>

<?php } ?>